eth_getBalance
Network: Optimism Sepolia · Testnet · Chain ID 11155420 (0xaa37dc)
Counts as 1 request. See Request Counting.
Returns the balance of the account of a given address.
Parameters
DATA(20 bytes) — Address to check for balance.QUANTITY|TAG— Block number, or"latest","earliest","pending".
Returns
QUANTITY — Integer of the current balance in wei.
Request
{
"jsonrpc": "2.0",
"method": "eth_getBalance",
"params": ["0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045", "latest"],
"id": 1
}Response
{
"jsonrpc": "2.0",
"id": 1,
"result": "0x6c6b935b8bbd400000"
}The result is in wei.
0x6c6b935b8bbd400000= 2000 × 10^18 wei, or 2,000 units of the Optimism Sepolia native token.
Code Examples
curl -X POST https://optimism-sepolia-rpc.blockreq.com/v1/rpc/public \
-H "Content-Type: application/json" \
-d '{"jsonrpc":"2.0","method":"eth_getBalance","params":["0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045","latest"],"id":1}'